"use strict";
var TAG = "NSBackgroundFetch";
var emptyFn = function () { };
var BackgroundFetch = (function () {
    function BackgroundFetch() {
    }
    BackgroundFetch.performFetchWithCompletionHandler = function (completionHandler) {
        TSBackgroundFetch.sharedInstance().performFetchWithCompletionHandler(completionHandler);
    };
    BackgroundFetch.configure = function (config, callback, failure) {
        var fetchManager = TSBackgroundFetch.sharedInstance();
        fetchManager.configure(config);
        if (fetchManager.start()) {
            this.configured = true;
            fetchManager.addListenerCallback(TAG, callback);
        }
        else {
            console.log(TAG, "failed to start TSBackgroundFetch");
            if (failure) {
                failure();
            }
        }
    };
    BackgroundFetch.start = function (success, failure) {
        if (TSBackgroundFetch.sharedInstance().start()) {
            if (success) {
                success();
            }
        }
        else {
            if (failure) {
                failure();
            }
        }
    };
    BackgroundFetch.stop = function (success, failure) {
        TSBackgroundFetch.sharedInstance().stop();
        if (success) {
            success();
        }
    };
    BackgroundFetch.finish = function (result) {
        result = result || BackgroundFetch.FETCH_RESULT_NO_DATA;
        switch (result) {
            case 0:
                result = UIBackgroundFetchResultNewData;
                break;
            case 1:
                result = UIBackgroundFetchResultNoData;
                break;
            case 2:
                result = UIBackgroundFetchResultFailed;
                break;
            default:
                result = UIBackgroundFetchResultNoData;
        }
        TSBackgroundFetch.sharedInstance().finishResult(TAG, result);
    };
    BackgroundFetch.FETCH_RESULT_NEW_DATA = 0;
    BackgroundFetch.FETCH_RESULT_NO_DATA = 1;
    BackgroundFetch.FETCH_RESULT_FAILED = 2;
    return BackgroundFetch;
}());
exports.BackgroundFetch = BackgroundFetch;
//# sourceMappingURL=background-fetch.ios.js.map